#
# spec file for package ladspa-cmt
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ladspa-cmt
Version:        1.18
Release:        1.12
Summary:        LADSPA CMT plugins
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://www.ladspa.org/cmt/overview.html
Source0:        http://www.ladspa.org/download/cmt_%{version}.tgz
Source1:        cmt.rdf
# PATCH-FEATURE-OPENSUSE no-installation-doc.patch -- There is no need for installation documentation
Patch0:         no-installation-doc.patch
BuildRequires:  gcc-c++
BuildRequires:  ladspa-devel
Supplements:    ladspa

%description
This toolkit is a set of musical sound processing and synthesis tools
presented as a LADSPA (Linux Audio Developer's Simple Plug-in API)
plugin library for CMT (Computer Music Toolkit).
See the %{_docdir}/%{name} directory for documentation.

%prep
%autosetup -p1 -n cmt_%{version}

%build
%make_build -C src CFLAGS="%{optflags}" targets

%install
install -d -m 0755 %{buildroot}%{_libdir}/ladspa
install -d -m 0755 %{buildroot}%{_datadir}/ladspa/rdf
install -D -m 0644 plugins/cmt.so %{buildroot}%{_libdir}/ladspa/cmt.so
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/ladspa/rdf/cmt.rdf

%files
%doc doc/*.html
%license doc/COPYING
%{_libdir}/ladspa
%{_datadir}/ladspa

%changelog
* Fri Jan 28 2022 Dirk Müller <dmueller@suse.com>
- update to 1.18:
  * Remove stale email address
  * Remove some unused variables
  * Fix clang compile issue with static function
  * Change Freeverb to handle sample rates better
  * Fix URL in documentation
  * Fix so delay can handle a delay of zero
* Mon May 17 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.17
  * avoid malloc/new mismatch.
  * reassure compiler.
  * Use GCC export map to ensure only ladspa_descriptor() is exported.
  * Package with version number in archive and directory names.
  * Use C99 isnormal() to identify denormals (and other bad numbers).
- Drop cmt_src_1.15.diff
- Add no-installation-doc.patch
* Mon Mar  3 2014 tiwai@suse.de
- Remove obsoleted autoreq/autoprov tags
- Patch carried from the original ladspa package:
  cmt_src_1.15.diff
* Sat Mar  1 2014 andreas.stieger@gmx.de
- add source URL, see https://en.opensuse.org/SourceUrls
- change to verbatim upstream tarball
- add project URL
* Wed Feb 26 2014 tiwai@suse.de
- correct the license to GPL-2.0+
* Mon Dec 16 2013 tiwai@suse.de
- Initial version 1.15: split from ladspa package
